Subject: Re: bug#72166: Shepherd periodically goes unresponsive on one of my machines

From: Jonathan Frederickson <[email-masked]>
Date: Thu, 22 Aug 2024 13:52:54 -0400 (EDT)

Aug 22, 2024 05:35:47 Ludovic Courtès <[email-masked]>:

> Hi,
> 
> You wrote:
> 
>> The machine in question does not have a battery-backed RTC, so it
>> loses time when it loses power, but notice the time changes once ntpd
>> starts up.
> 
> So you’re hitting the Fibers bug described here:
> 
>   https://issues.guix.gnu.org/70848
> 
> There is still no fix upstream unfortunately, but I hope we’ll get there
> in time for Shepherd 1.0.
> 
> The only workaround so far is to build shepherd against
> ‘guile-fibers-1.1’, which is what is done in Guix on AArch64 and RISC-V
> since these platforms are likely to be used with single-board computers
> lacking a battery-backed RTC.
> 
> Thanks,
> Ludo’.
Ah! Yes, that seems likely.

I've also run into what looks like the same thing on a laptop that does have an RTC, but it also has an NTP daemon running on it. (I have also noticed that this is most common on that laptop after a suspend/resume cycle, so maybe that's triggering the bug as well?)

I'll check to see if I've recently had an NTP sync the next time this happens, because that would be a definitive confirmation that I'm running into that bug.